THERION(1)

NAME
Therion — program to draw cave surveys

SYNOPSIS

therion [-q] [-L] [-l log-file]
        [-s source-file] [-p search-path]
        [-b|--bezier] [--use-extern-libs]
        [-g|-u] [-i]
        [-d] [-x] [--use-extern-libs] [config-file]

therion [-h|--help]
        [-v|--version]
        [--print-encodings]
        [--print-environment]
        [--print-init-file]
        [--print-library-src]
        [--print-symbols]
        [--print-tex-encodings]
        [--print-xtherion-src]

DESCRIPTION

This manual page briefly documents Therion and provides an overview of the package.

Therion is a program that processes Therion data files to produce cave surveys. The data files are usually .th files which contain survey data (largely equivalent to Survex .svx files), .th2 files which contain drawing data, and thconfig files which control the data files to be used and the maps to be output.

Therion outputs PDF and SVG files for drawings, Survex .3d files, Compass .PLT files and VRML files for 3D models.

Therion uses a number of helper programs to do its job. Survex is used to process the centreline data, MetaPost is used to draw cave symbols, and pdfTeX generates the final maps.

In order to make the entering of drawing data practical, and to make the editing of survey files easier, a graphical editor XTherion is included. This also includes a 'compiler' function which runs Therion on the data to produce output. This is implemented using Tcl/Tk.

The Therion data files describe the cave as text in terms of objects so the corresponding graphical representations are only inserted at output generation time. This means that a survey can be produced using whichever symbol set you require by specifying the relevant set of MetaPost macros. Currently the UIS symbol set is supported.

Multiple languages and character sets are supported — currently ISO-8859-1, ISO-8859-2, ISO-8859-5, ISO-8859-7, UTF-8, ASCII and CP1250.

ARGUMENTS

therion takes only one argument — a config-file. If no file is specified then the default thconfig file in the current directory will be used. A new default file can be created using the -g option.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes ("--"). A summary of options is included below. For a complete description, see The Therion Book.

-h, --help
    Show summary of options.

-v, --version
    Show version information.

-q  Quiet mode — minimise output.

-g  Generate a new configuration file. This will be the given config-file if specified, or thconfig in the current directory if not. If the file already exists, it will be overwritten.

-i  Ignore comments when writing (-g|-u) configuration file.

-L  Do not create a log-file. Normally all messages are written into a therion.log file.

-l log-file
    Change the name of the log file.

-p search-path
    This option is used to set the search path (or list of paths, separated by colon), which therion will use to find its source files (if it doesn't find them in the working directory).

-q  Run therion in quiet mode. It will print only warning and error messages (to STDERR).

--print-encodings
    Print a list of all supported encodings.

--print-init-file
    Print a default initialisation file. For more details see the Initialisation section in the Appendix of the Therion Book.

-s  Set the name of the source file.

-u  Upgrade the configuration file.

-d  Turn on debugging mode. The current implementation creates a temporary directory named thTMPDIR (in your system temporary directory) and does not delete any temporary files.

SEE ALSO

loch(1), xtherion(1)

For full information see The Therion Book (/usr/share/doc/therion-doc/thbook.pdf) which describes Therion and its use in detail.

AUTHORS

Stacho Mudrak and Martin Budaj. This manual page was originally written by Wookey wookey@debian.org for the Debian system. Modified by MB.

Copyright Wookey 2003, Martin Budaj 2003. This file is licensed under the GNU General Public License.